Bug 180702 - graphics/gmt: Update to version 4.5.9
Summary: graphics/gmt: Update to version 4.5.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-20 19:10 UTC by tkato432
Modified: 2014-02-07 13:30 UTC (History)
0 users

See Also:


Attachments
file.diff (16.63 KB, patch)
2013-07-20 19:10 UTC, tkato432
no flags Details | Diff
graphics_gmt.diff (16.64 KB, patch)
2013-07-22 19:00 UTC, tkato432
no flags Details | Diff
graphics_gmt.diff (16.65 KB, patch)
2013-08-18 18:51 UTC, tkato432
no flags Details | Diff
graphics_gmt.diff (16.65 KB, patch)
2013-08-21 18:58 UTC, tkato432
no flags Details | Diff
graphics_gmt.diff (21.27 KB, patch)
2013-10-31 19:25 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-07-20 19:10:08 UTC
- Update to version 4.5.9
Comment 1 Edwin Groothuis freebsd_committer 2013-07-20 19:12:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-07-22 16:33:44 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 Martin Wilke freebsd_committer 2013-07-22 16:38:00 UTC
State Changed
From-To: closed->feedback

Hi, 

could u please have a look at this: 

[23:37][miwi@miwifbsd] $ portlint -A 
(~/dev/ports/graphics/gmt) WARN: 
/usr/home/miwi/dev/ports/graphics/gmt/pkg-plist: [199]: enumerating info 
files in the plist is deprecated in favor of adding info files into the 
Makefile using the INFO macro.  WARN: Makefile: EPS is listed in 
OPTIONS_DEFINE, but no PORT_OPTIONS:MEPS appears.  WARN: Makefile: DEBUG 
is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MDEBUG appears.  WARN: 
Makefile: IMPERIAL is listed in OPTIONS_DEFINE, but no 
PORT_OPTIONS:MIMPERIAL appears.  WARN: Makefile: GDAL is listed in 
OPTIONS_DEFINE, but no PORT_OPTIONS:MGDAL appears.  WARN: Makefile: 
OCTAVE is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MOCTAVE appears. 
WARN: Makefile: [40]: possible direct use of command "gmake" found. use 
${GMAKE} instead.  WARN: Makefile: for new port, make $FreeBSD$ tag in 
comment section empty, to make SVN happy.  WARN: Makefile: new ports 
should not be maintained by ports@FreeBSD.org.  FATAL: Makefile: extra 
item "GPLv2_DISTFILES" placed in the LICENSE section.  FATAL: Makefile: 
extra item "LGPL3_DISTFILES" placed in the LICENSE section.  2 fatal 
errors and 9 warnings found. 

thx
Comment 4 tkato432 2013-07-22 19:00:00 UTC
Here is the corrected patch.
Comment 5 tkato432 2013-08-18 18:51:14 UTC
Remake of the patch against current tree.
Comment 6 tkato432 2013-08-21 18:58:29 UTC
Remake of the patch against current tree.
Comment 7 Bryan Drewery freebsd_committer 2013-09-22 15:13:23 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 8 tkato432 2013-10-31 19:25:40 UTC
Remake of the patch against current tree.
Comment 9 Martin Wilke freebsd_committer 2014-01-23 15:45:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 10 dfilter service freebsd_committer 2014-02-07 13:20:57 UTC
Author: miwi
Date: Fri Feb  7 13:20:48 2014
New Revision: 343238
URL: http://svnweb.freebsd.org/changeset/ports/343238
QAT: https://qat.redports.org/buildarchive/r343238/

Log:
  - Update to 4.5.9
  - Stage support
  
  PR:		180702
  Submitted by:	Ports Fury

Deleted:
  head/graphics/gmt/Makefile.man
Modified:
  head/graphics/gmt/Makefile
  head/graphics/gmt/distinfo
  head/graphics/gmt/files/patch-configure-ac
  head/graphics/gmt/pkg-plist

Modified: head/graphics/gmt/Makefile
==============================================================================
--- head/graphics/gmt/Makefile	Fri Feb  7 13:20:23 2014	(r343237)
+++ head/graphics/gmt/Makefile	Fri Feb  7 13:20:48 2014	(r343238)
@@ -2,46 +2,51 @@
 # $FreeBSD$
 
 PORTNAME=	gmt
-PORTVERSION=	4.5.8
-PORTREVISION=	4
+PORTVERSION=	4.5.9
 CATEGORIES=	graphics
-MASTER_SITES=	ftp://falcon.grdl.noaa.gov/pub/${PORTNAME}/	\
-		ftp://ftp.soest.hawaii.edu/${PORTNAME}/		\
-		ftp://ftp.geologi.uio.no/pub/${PORTNAME}/	\
-		ftp://ibis.grdl.noaa.gov/pub/${PORTNAME}/	\
-		ftp://gd.tuwien.ac.at/pub/${PORTNAME}/		\
-		ftp://ftp.iag.usp.br/pub/${PORTNAME}/		\
-		ftp://ftp.scc.u-tokai.ac.jp/pub/${PORTNAME}/
+MASTER_SITES=	ftp://ftp.soest.hawaii.edu/%SUBDIR%/ \
+		ftp://ftp.geologi.uio.no/pub/%SUBDIR%/ \
+		ftp://ftp.iag.usp.br/pub/%SUBDIR%/ \
+		ftp://ftp.scc.u-tokai.ac.jp/pub/%SUBDIR%/ \
+		http://gd.tuwien.ac.at/graphics/visual/%SUBDIR%/ \
+		http://gmt.mirror.ac.za/pub/%SUBDIR%/
+MASTER_SITE_SUBDIR=	${PORTNAME}
+DISTFILES=	${DISTNAME}${EXTRACT_SUFX} \
+		${GSHHG_DISTNAME}${EXTRACT_SUFX}
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	The Generic Mapping Tools data processing and display software package
+COMMENT=	Generic Mapping Tools - data processing and display software package
+
+LICENSE=	GPLv2 LGPL3
+LICENSE_COMB=	multi
+LICENSE_DISTFILES_GPLv2=	${DISTNAME}${EXTRACT_SUFX}
+LICENSE_DISTFILES_LGPL3=	${GSHHG_DISTNAME}${EXTRACT_SUFX}
+
+LIB_DEPENDS=	libnetcdf.so:${PORTSDIR}/science/netcdf4
+RUN_DEPENDS=	bash:${PORTSDIR}/shells/bash
+
+OPTIONS_DEFINE=	SHARED EPS DEBUG IMPERIAL GDAL OCTAVE X11 DOCS
+OPTIONS_DEFAULT=	SHARED GDAL X11
+OPTIONS_SUB=	yes
+SHARED_DESC=	Build shared (dynamic) libraries
+EPS_DESC=	Set .eps as default output format, otherwise .ps
+IMPERIAL_DESC=	Choose Imperial (inch) units over metric (cm)
+GDAL_DESC=	Compile in experimental GDAL support
+OCTAVE_DESC=	Build GMT-octave interface
 
 WRKSRC=		${WRKDIR}/${PORTNAME:U}${DISTVERSION}
-USES=		gmake
+
 USE_BZIP2=	yes
+USES=		gmake shebangfix
+SHEBANG_FILES=	gmtswitch
 USE_AUTOTOOLS=	autoconf
-GNU_CONFIGURE=	yes
-CONFIGURE_ARGS+=--datadir=${DATADIR}
-USE_XORG=	x11 xaw xmu xt
+CONFIGURE_ARGS=	--datadir=${DATADIR} \
+		--with-gshhg-dir=${DATADIR}/coast
+INSTALL_TARGET=	install-gmt install-data install-man install-doc
 MAKE_JOBS_UNSAFE=	yes
 
 PORTDOCS=	*
-PORTDATA=	*
 
-OPTIONS_DEFINE=	SHARED EPS DEBUG IMPERIAL GDAL NETCDF OCTAVE
-OPTIONS_DEFAULT=	SHARED GDAL NETCDF
-SHARED_DESC=	Build shared (dynamic) libraries
-EPS_DESC=	defaults .eps, otherwise .ps
-IMPERIAL_DESC=	Choose Imperial (inch) units over metric (cm)
-GDAL_DESC=	Compile in experimental GDAL support
-NETCDF_DESC=	With netCDF (7) support
-OCTAVE_DESC=	With OCTAVE support
-
-NO_STAGE=	yes
-.include "Makefile.man"
-
-NETCDF_LIB_DEPENDS=	libnetcdf.so:${PORTSDIR}/science/netcdf4
-NETCDF_CONFIGURE_ON=	--enable-netcdf
 DEBUG_CONFIGURE_ON=	--enable-debug --enable-devdebug
 SHARED_CONFIGURE_ON=	--enable-shared
 IMPERIAL_CONFIGURE_ON=	--enable-US
@@ -51,6 +56,23 @@ GDAL_CONFIGURE_ON=	--enable-gdal
 OCTAVE_RUN_DEPENDS=	octave:${PORTSDIR}/math/octave
 OCTAVE_CONFIGURE_ON=	--enable-octave --enable-mex
 OCTAVE_CONFIGURE_OFF=	--disable-mex
+X11_CONFIGURE_OFF=	--disable-xgrid
+
+STRIP_FILES=	blockmean blockmedian blockmode filter1d fitcircle \
+		gmt2rgb gmtconvert gmtdefaults gmtmath gmtselect \
+		gmtset grd2cpt grd2xyz grdblend grdclip \
+		grdcontour grdcut grdedit grdfft grdfilter \
+		grdgradient grdhisteq grdimage grdinfo grdlandmask \
+		grdmask grdmath grdpaste grdproject grdreformat \
+		grdsample grdtrack grdtrend grdvector grdview \
+		grdvolume greenspline makecpt mapproject minmax \
+		nearneighbor project ps2raster psbasemap psclip \
+		pscoast pscontour pshistogram psimage pslegend \
+		psmask psrose psscale pstext pswiggle \
+		psxy psxyz sample1d spectrum1d splitxyz \
+		surface trend1d trend2d triangulate xyz2grd
+
+GSHHG_DISTNAME=	gshhg-gmt-nc3-2.2.2
 
 .include <bsd.port.options.mk>
 
@@ -58,12 +80,20 @@ OCTAVE_CONFIGURE_OFF=	--disable-mex
 USE_LDCONFIG=	yes
 .endif
 
-INSTALL_TARGET=		install-gmt install-data install-man install-doc
+.if ${PORT_OPTIONS:MX11}
+USE_XORG=	x11 xaw xmu xt
+.endif
 
-.if ${ARCH} == "amd64" || ${ARCH} == "ia64" || ${ARCH} == "sparc64"
-CONFIGURE_ARGS+=	--enable-64
-.else
-CONFIGURE_ARGS+=	--disable-64
+post-install:
+	@${MKDIR} ${STAGEDIR}${DATADIR}/coast
+	(cd ${WRKDIR}/${GSHHG_DISTNAME} && ${INSTALL_DATA} README.TXT *.nc \
+		${STAGEDIR}${DATADIR}/coast)
+.if ${PORT_OPTIONS:MX11}
+	(cd ${WRKSRC}/src/xgrid && ${INSTALL_PROGRAM} xgridedit \
+		${STAGEDIR}${PREFIX}/bin)
 .endif
+.for i in ${STRIP_FILES}
+	@${STRIP_CMD} ${STAGEDIR}${PREFIX}/bin/${i}
+.endfor
 
 .include <bsd.port.mk>

Modified: head/graphics/gmt/distinfo
==============================================================================
--- head/graphics/gmt/distinfo	Fri Feb  7 13:20:23 2014	(r343237)
+++ head/graphics/gmt/distinfo	Fri Feb  7 13:20:48 2014	(r343238)
@@ -1,2 +1,4 @@
-SHA256 (gmt-4.5.8.tar.bz2) = de3398acaf3ecb34f48c8a61a916c6037276793bd4b13bef376282a7731e54d4
-SIZE (gmt-4.5.8.tar.bz2) = 39350328
+SHA256 (gmt-4.5.9.tar.bz2) = 9b13be96ccf4bbd38c14359c05dfa7eeeb4b5f06d6f4be9c33d6c3ea276afc86
+SIZE (gmt-4.5.9.tar.bz2) = 39325492
+SHA256 (gshhg-gmt-nc3-2.2.2.tar.bz2) = 463460e429a98901accc119629e327dfece217760cda8eddc9fd5afcbc7f1919
+SIZE (gshhg-gmt-nc3-2.2.2.tar.bz2) = 46982087

Modified: head/graphics/gmt/files/patch-configure-ac
==============================================================================
--- head/graphics/gmt/files/patch-configure-ac	Fri Feb  7 13:20:23 2014	(r343237)
+++ head/graphics/gmt/files/patch-configure-ac	Fri Feb  7 13:20:48 2014	(r343238)
@@ -1,16 +1,31 @@
 $FreeBSD$
 
-On GNU systems gcc is used as ld, which accepts the -Wl option to pass options
-to ld.  On FreeBSD, ld is used, and gets upset with -Wl.
-
 --- configure.ac.orig	2012-04-09 09:40:43.118542080 +0100
 +++ configure.ac	2012-04-09 09:45:57.340543460 +0100
-@@ -759,7 +759,7 @@
+@@ -663,10 +663,10 @@
+ 	if test "$os" = "Darwin" ; then
+ 		LDFLAGS="$LDFLAGS -Wl,-x"
+ 	else
+-		LDFLAGS="$LDFLAGS -s"
++		LDFLAGS="$LDFLAGS"
+ 	fi
+ 	if test "$GCC" = "yes" || test "$os" = "Linux" || test "$os" = "AIX"; then
+-		CFLAGS="$CFLAGS -O2"
++		CFLAGS="$CFLAGS"
+ 	elif test "$chip" = "alpha" || test "$os" = "AUX" || test "$os" = "HP-UX"; then
+ 		CFLAGS="$CFLAGS"
+ 	else
+@@ -779,11 +779,11 @@
+ 		else				# Solaris
+ 			LD_OPT="-G"
+ 		fi
+-	elif test "$os" = "Linux" || test "$os" = "GNU/kFreeBSD" ; then	# Need optimization when doing shared
++	elif test "$os" = "Linux" || test "$os" = "FreeBSD" || test "$os" = "GNU/kFreeBSD" ; then	# Need optimization when doing shared
+ 		LD='$(CC)'
+ 		SL_VERSION=$SL.$LIB_MAJOR_VERSION
  		LD_OPT='-shared -Wl,-soname=$*.'$SL_VERSION
- 	elif test "$os" = "FreeBSD" || test "$os" = "NetBSD" ; then
+-	elif test "$os" = "FreeBSD" || test "$os" = "NetBSD" ; then
++	elif test "$os" = "NetBSD" ; then
  		SL_VERSION=$SL.$LIB_MAJOR_VERSION
--		LD_OPT='-shared -Wl,-soname=$*.'$SL_VERSION
-+		LD_OPT='-shared -soname=$*.'$SL_VERSION
+ 		LD_OPT='-shared -Wl,-soname=$*.'$SL_VERSION
  	elif test "$os" = "OSF1" ; then
- 		LD_OPT='-shared -expect_unresolved "*"'
- 	elif test "$os" = "IRIX64" ; then

Modified: head/graphics/gmt/pkg-plist
==============================================================================
--- head/graphics/gmt/pkg-plist	Fri Feb  7 13:20:23 2014	(r343237)
+++ head/graphics/gmt/pkg-plist	Fri Feb  7 13:20:48 2014	(r343238)
@@ -69,6 +69,7 @@ bin/surface
 bin/trend1d
 bin/trend2d
 bin/triangulate
+%%X11%%bin/xgridedit
 bin/xyz2grd
 include/gmt.h
 include/gmt_bcr.h
@@ -101,11 +102,404 @@ include/gmt_vector.h
 include/gmt_version.h
 include/pslib.h
 lib/libgmt.a
-lib/libgmt.so
-lib/libgmt.so.4
+%%SHARED%%lib/libgmt.so
+%%SHARED%%lib/libgmt.so.4
 lib/libgmtps.a
-lib/libgmtps.so
-lib/libgmtps.so.4
+%%SHARED%%lib/libgmtps.so
+%%SHARED%%lib/libgmtps.so.4
 lib/libpsl.a
-lib/libpsl.so
-lib/libpsl.so.4
+%%SHARED%%lib/libpsl.so
+%%SHARED%%lib/libpsl.so.4
+man/man1/GMT.1.gz
+man/man1/backtracker.1.gz
+man/man1/binlegs.1.gz
+man/man1/blockmean.1.gz
+man/man1/blockmedian.1.gz
+man/man1/blockmode.1.gz
+man/man1/dat2gmt.1.gz
+man/man1/dimfilter.1.gz
+man/man1/filter1d.1.gz
+man/man1/fitcircle.1.gz
+man/man1/gmt2bin.1.gz
+man/man1/gmt2dat.1.gz
+man/man1/gmt2kml.1.gz
+man/man1/gmt2rgb.1.gz
+man/man1/gmt_shell_functions.1.gz
+man/man1/gmtconvert.1.gz
+man/man1/gmtdefaults.1.gz
+man/man1/gmtdigitize.1.gz
+man/man1/gmtdp.1.gz
+man/man1/gmtget.1.gz
+man/man1/gmtinfo.1.gz
+man/man1/gmtlegs.1.gz
+man/man1/gmtlist.1.gz
+man/man1/gmtlogo.1.gz
+man/man1/gmtmath.1.gz
+man/man1/gmtpath.1.gz
+man/man1/gmtselect.1.gz
+man/man1/gmtset.1.gz
+man/man1/gmtstitch.1.gz
+man/man1/gmttrack.1.gz
+man/man1/grd2cpt.1.gz
+man/man1/grd2xyz.1.gz
+man/man1/grdblend.1.gz
+man/man1/grdclip.1.gz
+man/man1/grdcontour.1.gz
+man/man1/grdcut.1.gz
+man/man1/grdedit.1.gz
+man/man1/grdfft.1.gz
+man/man1/grdfilter.1.gz
+man/man1/grdgradient.1.gz
+man/man1/grdhisteq.1.gz
+man/man1/grdimage.1.gz
+man/man1/grdinfo.1.gz
+man/man1/grdlandmask.1.gz
+man/man1/grdmask.1.gz
+man/man1/grdmath.1.gz
+man/man1/grdpaste.1.gz
+man/man1/grdproject.1.gz
+man/man1/grdraster.1.gz
+man/man1/grdreformat.1.gz
+man/man1/grdrotater.1.gz
+man/man1/grdsample.1.gz
+man/man1/grdspotter.1.gz
+man/man1/grdtrack.1.gz
+man/man1/grdtrend.1.gz
+man/man1/grdvector.1.gz
+man/man1/grdview.1.gz
+man/man1/grdvolume.1.gz
+man/man1/greenspline.1.gz
+man/man1/gshhg.1.gz
+man/man1/gshhg_dp.1.gz
+man/man1/gshhgtograss.1.gz
+man/man1/hotspotter.1.gz
+man/man1/img2google.1.gz
+man/man1/img2grd.1.gz
+man/man1/img2mercgrd.1.gz
+man/man1/isogmt.1.gz
+man/man1/kml2gmt.1.gz
+man/man1/makecpt.1.gz
+man/man1/makepattern.1.gz
+man/man1/mapproject.1.gz
+man/man1/mgd77convert.1.gz
+man/man1/mgd77info.1.gz
+man/man1/mgd77list.1.gz
+man/man1/mgd77magref.1.gz
+man/man1/mgd77manage.1.gz
+man/man1/mgd77path.1.gz
+man/man1/mgd77sniffer.1.gz
+man/man1/mgd77togmt.1.gz
+man/man1/mgd77track.1.gz
+man/man1/minmax.1.gz
+man/man1/nc2xy.1.gz
+man/man1/nearneighbor.1.gz
+man/man1/originator.1.gz
+man/man1/project.1.gz
+man/man1/ps2raster.1.gz
+man/man1/psbasemap.1.gz
+man/man1/psbbox.1.gz
+man/man1/psclip.1.gz
+man/man1/pscoast.1.gz
+man/man1/pscontour.1.gz
+man/man1/pscoupe.1.gz
+man/man1/pshistogram.1.gz
+man/man1/psimage.1.gz
+man/man1/pslegend.1.gz
+man/man1/psmask.1.gz
+man/man1/psmeca.1.gz
+man/man1/psmegaplot.1.gz
+man/man1/pspolar.1.gz
+man/man1/psrose.1.gz
+man/man1/psscale.1.gz
+man/man1/pssegy.1.gz
+man/man1/pssegyz.1.gz
+man/man1/pstext.1.gz
+man/man1/psvelo.1.gz
+man/man1/pswiggle.1.gz
+man/man1/psxy.1.gz
+man/man1/psxyz.1.gz
+man/man1/rotconverter.1.gz
+man/man1/sample1d.1.gz
+man/man1/segy2grd.1.gz
+man/man1/spectrum1d.1.gz
+man/man1/sphdistance.1.gz
+man/man1/sphinterpolate.1.gz
+man/man1/sphtriangulate.1.gz
+man/man1/splitxyz.1.gz
+man/man1/surface.1.gz
+man/man1/trend1d.1.gz
+man/man1/trend2d.1.gz
+man/man1/triangulate.1.gz
+man/man1/x2sys_binlist.1.gz
+man/man1/x2sys_cross.1.gz
+man/man1/x2sys_datalist.1.gz
+man/man1/x2sys_get.1.gz
+man/man1/x2sys_init.1.gz
+man/man1/x2sys_list.1.gz
+man/man1/x2sys_merge.1.gz
+man/man1/x2sys_put.1.gz
+man/man1/x2sys_report.1.gz
+man/man1/x2sys_solve.1.gz
+man/man1/x_edit.1.gz
+man/man1/x_init.1.gz
+man/man1/x_list.1.gz
+man/man1/x_over.1.gz
+man/man1/x_remove.1.gz
+man/man1/x_report.1.gz
+man/man1/x_setup.1.gz
+man/man1/x_solve_dc_drift.1.gz
+man/man1/x_system.1.gz
+man/man1/x_update.1.gz
+man/man1/xyz2grd.1.gz
+man/man3/pslib.3.gz
+man/man5/gmtcolors.5.gz
+%%DATADIR%%/coast/README.TXT
+%%DATADIR%%/coast/binned_GSHHS_c.nc
+%%DATADIR%%/coast/binned_GSHHS_f.nc
+%%DATADIR%%/coast/binned_GSHHS_h.nc
+%%DATADIR%%/coast/binned_GSHHS_i.nc
+%%DATADIR%%/coast/binned_GSHHS_l.nc
+%%DATADIR%%/coast/binned_border_c.nc
+%%DATADIR%%/coast/binned_border_f.nc
+%%DATADIR%%/coast/binned_border_h.nc
+%%DATADIR%%/coast/binned_border_i.nc
+%%DATADIR%%/coast/binned_border_l.nc
+%%DATADIR%%/coast/binned_river_c.nc
+%%DATADIR%%/coast/binned_river_f.nc
+%%DATADIR%%/coast/binned_river_h.nc
+%%DATADIR%%/coast/binned_river_i.nc
+%%DATADIR%%/coast/binned_river_l.nc
+%%DATADIR%%/conf/gmt.conf
+%%DATADIR%%/conf/gmt_cpt.conf
+%%DATADIR%%/conf/gmt_custom_media.conf
+%%DATADIR%%/conf/gmt_custom_symbols.conf
+%%DATADIR%%/conf/gmtdefaults_SI
+%%DATADIR%%/conf/gmtdefaults_US
+%%DATADIR%%/cpt/GMT_cool.cpt
+%%DATADIR%%/cpt/GMT_copper.cpt
+%%DATADIR%%/cpt/GMT_cyclic.cpt
+%%DATADIR%%/cpt/GMT_drywet.cpt
+%%DATADIR%%/cpt/GMT_gebco.cpt
+%%DATADIR%%/cpt/GMT_globe.cpt
+%%DATADIR%%/cpt/GMT_gray.cpt
+%%DATADIR%%/cpt/GMT_haxby.cpt
+%%DATADIR%%/cpt/GMT_hot.cpt
+%%DATADIR%%/cpt/GMT_jet.cpt
+%%DATADIR%%/cpt/GMT_nighttime.cpt
+%%DATADIR%%/cpt/GMT_no_green.cpt
+%%DATADIR%%/cpt/GMT_ocean.cpt
+%%DATADIR%%/cpt/GMT_paired.cpt
+%%DATADIR%%/cpt/GMT_panoply.cpt
+%%DATADIR%%/cpt/GMT_polar.cpt
+%%DATADIR%%/cpt/GMT_rainbow.cpt
+%%DATADIR%%/cpt/GMT_red2green.cpt
+%%DATADIR%%/cpt/GMT_relief.cpt
+%%DATADIR%%/cpt/GMT_sealand.cpt
+%%DATADIR%%/cpt/GMT_seis.cpt
+%%DATADIR%%/cpt/GMT_split.cpt
+%%DATADIR%%/cpt/GMT_topo.cpt
+%%DATADIR%%/cpt/GMT_wysiwyg.cpt
+%%DATADIR%%/custom/astroid.def
+%%DATADIR%%/custom/circle.def
+%%DATADIR%%/custom/cross.def
+%%DATADIR%%/custom/crosshair.def
+%%DATADIR%%/custom/deltoid.def
+%%DATADIR%%/custom/diamond.def
+%%DATADIR%%/custom/flash.def
+%%DATADIR%%/custom/hexagon.def
+%%DATADIR%%/custom/hlens.def
+%%DATADIR%%/custom/hlozenge.def
+%%DATADIR%%/custom/hneedle.def
+%%DATADIR%%/custom/hurricane.def
+%%DATADIR%%/custom/invtriangle.def
+%%DATADIR%%/custom/lcrescent.def
+%%DATADIR%%/custom/lflag.def
+%%DATADIR%%/custom/ltriangle.def
+%%DATADIR%%/custom/meca.def
+%%DATADIR%%/custom/octagon.def
+%%DATADIR%%/custom/pacman.def
+%%DATADIR%%/custom/pentagon.def
+%%DATADIR%%/custom/rcrescent.def
+%%DATADIR%%/custom/rflag.def
+%%DATADIR%%/custom/rtriangle.def
+%%DATADIR%%/custom/sectoid.def
+%%DATADIR%%/custom/square.def
+%%DATADIR%%/custom/squaroid.def
+%%DATADIR%%/custom/star.def
+%%DATADIR%%/custom/star3.def
+%%DATADIR%%/custom/star4.def
+%%DATADIR%%/custom/starp.def
+%%DATADIR%%/custom/sun.def
+%%DATADIR%%/custom/triangle.def
+%%DATADIR%%/custom/trirot1.def
+%%DATADIR%%/custom/trirot2.def
+%%DATADIR%%/custom/trirot3.def
+%%DATADIR%%/custom/trirot4.def
+%%DATADIR%%/custom/vlens.def
+%%DATADIR%%/custom/vlozenge.def
+%%DATADIR%%/custom/vneedle.def
+%%DATADIR%%/custom/volcano.def
+%%DATADIR%%/dbase/grdraster.info
+%%DATADIR%%/mgd77/Dst_all.wdc
+%%DATADIR%%/mgd77/F107_mon.plt
+%%DATADIR%%/mgd77/mgd77_paths.txt
+%%DATADIR%%/mgd77/umdl.CM4
+%%DATADIR%%/mgg/carter.d
+%%DATADIR%%/mgg/gmtfile_paths
+%%DATADIR%%/pattern/ps_pattern_01.ras
+%%DATADIR%%/pattern/ps_pattern_02.ras
+%%DATADIR%%/pattern/ps_pattern_03.ras
+%%DATADIR%%/pattern/ps_pattern_04.ras
+%%DATADIR%%/pattern/ps_pattern_05.ras
+%%DATADIR%%/pattern/ps_pattern_06.ras
+%%DATADIR%%/pattern/ps_pattern_07.ras
+%%DATADIR%%/pattern/ps_pattern_08.ras
+%%DATADIR%%/pattern/ps_pattern_09.ras
+%%DATADIR%%/pattern/ps_pattern_10.ras
+%%DATADIR%%/pattern/ps_pattern_11.ras
+%%DATADIR%%/pattern/ps_pattern_12.ras
+%%DATADIR%%/pattern/ps_pattern_13.ras
+%%DATADIR%%/pattern/ps_pattern_14.ras
+%%DATADIR%%/pattern/ps_pattern_15.ras
+%%DATADIR%%/pattern/ps_pattern_16.ras
+%%DATADIR%%/pattern/ps_pattern_17.ras
+%%DATADIR%%/pattern/ps_pattern_18.ras
+%%DATADIR%%/pattern/ps_pattern_19.ras
+%%DATADIR%%/pattern/ps_pattern_20.ras
+%%DATADIR%%/pattern/ps_pattern_21.ras
+%%DATADIR%%/pattern/ps_pattern_22.ras
+%%DATADIR%%/pattern/ps_pattern_23.ras
+%%DATADIR%%/pattern/ps_pattern_24.ras
+%%DATADIR%%/pattern/ps_pattern_25.ras
+%%DATADIR%%/pattern/ps_pattern_26.ras
+%%DATADIR%%/pattern/ps_pattern_27.ras
+%%DATADIR%%/pattern/ps_pattern_28.ras
+%%DATADIR%%/pattern/ps_pattern_29.ras
+%%DATADIR%%/pattern/ps_pattern_30.ras
+%%DATADIR%%/pattern/ps_pattern_31.ras
+%%DATADIR%%/pattern/ps_pattern_32.ras
+%%DATADIR%%/pattern/ps_pattern_33.ras
+%%DATADIR%%/pattern/ps_pattern_34.ras
+%%DATADIR%%/pattern/ps_pattern_35.ras
+%%DATADIR%%/pattern/ps_pattern_36.ras
+%%DATADIR%%/pattern/ps_pattern_37.ras
+%%DATADIR%%/pattern/ps_pattern_38.ras
+%%DATADIR%%/pattern/ps_pattern_39.ras
+%%DATADIR%%/pattern/ps_pattern_40.ras
+%%DATADIR%%/pattern/ps_pattern_41.ras
+%%DATADIR%%/pattern/ps_pattern_42.ras
+%%DATADIR%%/pattern/ps_pattern_43.ras
+%%DATADIR%%/pattern/ps_pattern_44.ras
+%%DATADIR%%/pattern/ps_pattern_45.ras
+%%DATADIR%%/pattern/ps_pattern_46.ras
+%%DATADIR%%/pattern/ps_pattern_47.ras
+%%DATADIR%%/pattern/ps_pattern_48.ras
+%%DATADIR%%/pattern/ps_pattern_49.ras
+%%DATADIR%%/pattern/ps_pattern_50.ras
+%%DATADIR%%/pattern/ps_pattern_51.ras
+%%DATADIR%%/pattern/ps_pattern_52.ras
+%%DATADIR%%/pattern/ps_pattern_53.ras
+%%DATADIR%%/pattern/ps_pattern_54.ras
+%%DATADIR%%/pattern/ps_pattern_55.ras
+%%DATADIR%%/pattern/ps_pattern_56.ras
+%%DATADIR%%/pattern/ps_pattern_57.ras
+%%DATADIR%%/pattern/ps_pattern_58.ras
+%%DATADIR%%/pattern/ps_pattern_59.ras
+%%DATADIR%%/pattern/ps_pattern_60.ras
+%%DATADIR%%/pattern/ps_pattern_61.ras
+%%DATADIR%%/pattern/ps_pattern_62.ras
+%%DATADIR%%/pattern/ps_pattern_63.ras
+%%DATADIR%%/pattern/ps_pattern_64.ras
+%%DATADIR%%/pattern/ps_pattern_65.ras
+%%DATADIR%%/pattern/ps_pattern_66.ras
+%%DATADIR%%/pattern/ps_pattern_67.ras
+%%DATADIR%%/pattern/ps_pattern_68.ras
+%%DATADIR%%/pattern/ps_pattern_69.ras
+%%DATADIR%%/pattern/ps_pattern_70.ras
+%%DATADIR%%/pattern/ps_pattern_71.ras
+%%DATADIR%%/pattern/ps_pattern_72.ras
+%%DATADIR%%/pattern/ps_pattern_73.ras
+%%DATADIR%%/pattern/ps_pattern_74.ras
+%%DATADIR%%/pattern/ps_pattern_75.ras
+%%DATADIR%%/pattern/ps_pattern_76.ras
+%%DATADIR%%/pattern/ps_pattern_77.ras
+%%DATADIR%%/pattern/ps_pattern_78.ras
+%%DATADIR%%/pattern/ps_pattern_79.ras
+%%DATADIR%%/pattern/ps_pattern_80.ras
+%%DATADIR%%/pattern/ps_pattern_81.ras
+%%DATADIR%%/pattern/ps_pattern_82.ras
+%%DATADIR%%/pattern/ps_pattern_83.ras
+%%DATADIR%%/pattern/ps_pattern_84.ras
+%%DATADIR%%/pattern/ps_pattern_85.ras
+%%DATADIR%%/pattern/ps_pattern_86.ras
+%%DATADIR%%/pattern/ps_pattern_87.ras
+%%DATADIR%%/pattern/ps_pattern_88.ras
+%%DATADIR%%/pattern/ps_pattern_89.ras
+%%DATADIR%%/pattern/ps_pattern_90.ras
+%%DATADIR%%/pslib/ISO-8859-1.ps
+%%DATADIR%%/pslib/ISO-8859-10.ps
+%%DATADIR%%/pslib/ISO-8859-13.ps
+%%DATADIR%%/pslib/ISO-8859-14.ps
+%%DATADIR%%/pslib/ISO-8859-15.ps
+%%DATADIR%%/pslib/ISO-8859-2.ps
+%%DATADIR%%/pslib/ISO-8859-3.ps
+%%DATADIR%%/pslib/ISO-8859-4.ps
+%%DATADIR%%/pslib/ISO-8859-5.ps
+%%DATADIR%%/pslib/ISO-8859-6.ps
+%%DATADIR%%/pslib/ISO-8859-7.ps
+%%DATADIR%%/pslib/ISO-8859-8.ps
+%%DATADIR%%/pslib/ISO-8859-9.ps
+%%DATADIR%%/pslib/ISOLatin1+.ps
+%%DATADIR%%/pslib/ISOLatin1.ps
+%%DATADIR%%/pslib/PSL_label.ps
+%%DATADIR%%/pslib/PSL_prologue.ps
+%%DATADIR%%/pslib/PSL_text.ps
+%%DATADIR%%/pslib/PS_font_info.d
+%%DATADIR%%/pslib/Standard+.ps
+%%DATADIR%%/pslib/Standard.ps
+%%DATADIR%%/time/br.d
+%%DATADIR%%/time/cn1.d
+%%DATADIR%%/time/cn2.d
+%%DATADIR%%/time/de.d
+%%DATADIR%%/time/dk.d
+%%DATADIR%%/time/eh.d
+%%DATADIR%%/time/es.d
+%%DATADIR%%/time/fi.d
+%%DATADIR%%/time/fr.d
+%%DATADIR%%/time/gr.d
+%%DATADIR%%/time/hu.d
+%%DATADIR%%/time/ie.d
+%%DATADIR%%/time/il.d
+%%DATADIR%%/time/is.d
+%%DATADIR%%/time/it.d
+%%DATADIR%%/time/jp.d
+%%DATADIR%%/time/nl.d
+%%DATADIR%%/time/no.d
+%%DATADIR%%/time/pl.d
+%%DATADIR%%/time/pt.d
+%%DATADIR%%/time/ru.d
+%%DATADIR%%/time/se.d
+%%DATADIR%%/time/sg.d
+%%DATADIR%%/time/to.d
+%%DATADIR%%/time/tr.d
+%%DATADIR%%/time/uk.d
+%%DATADIR%%/time/us.d
+%%DATADIR%%/x2sys/geo.def
+%%DATADIR%%/x2sys/geoz.def
+%%DATADIR%%/x2sys/gmt.def
+%%DATADIR%%/x2sys/mgd77+.def
+%%DATADIR%%/x2sys/mgd77.def
+%%DATADIR%%/x2sys/xy.def
+%%DATADIR%%/x2sys/xyz.def
+@dirrm %%DATADIR%%/x2sys
+@dirrm %%DATADIR%%/time
+@dirrm %%DATADIR%%/pslib
+@dirrm %%DATADIR%%/pattern
+@dirrm %%DATADIR%%/mgg
+@dirrm %%DATADIR%%/mgd77
+@dirrm %%DATADIR%%/dbase
+@dirrm %%DATADIR%%/custom
+@dirrm %%DATADIR%%/cpt
+@dirrm %%DATADIR%%/conf
+@dirrm %%DATADIR%%/coast
+@dirrm %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 11 Martin Wilke freebsd_committer 2014-02-07 13:20:58 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!